.TH megaco_edist_compress 3 "megaco  3.11.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
megaco_encoder \- Megaco erlang dist compress behaviour\&.
.SH DESCRIPTION
.LP
The following functions should be exported from a \fImegaco_edist_compress\fR callback module:

.SH EXPORTS
.LP
.B
Module:encode(R, Version) -> T
.br
.RS
.TP
Types
R = megaco_message() | transaction() | action_reply() | action_request() | command_request()
.br
Version = integer()
.br
T = term()
.br
.RE
.RS
.LP
Compress a megaco component\&. The erlang dist encoder makes no assumption on the how or even if the component is compressed\&. 
.RE
.LP
.B
Module:decode(T, Version) -> R
.br
.RS
.TP
Types
T = term()
.br
Version = integer()
.br
R = megaco_message() | transaction() | action_reply() | action_request() | command_request()
.br
.RE
.RS
.LP
Decompress a megaco component\&. 
.RE
